<?php

    class Ragtek_PC_AlertHandler_Comment extends XenForo_AlertHandler_Abstract
    {

        /**
         * @param array $contentIds
         * @param  $model
         * @param  $userId
         * @param array $viewingUser
         * @return array
         */
        public function getContentByIds(array $contentIds, $model, $userId, array $viewingUser)
        {
            $fetch = array(
                'join' => Ragtek_PC_Model_Pagecomment::FETCH_USER |
                          Ragtek_PC_Model_Pagecomment::FETCH_NODE
            );
            /** @var $commentModel Ragtek_PC_Model_Pagecomment */
            $commentModel = $model->getModelFromCache('Ragtek_PC_Model_Pagecomment');
            return $commentModel->getCommentsByIds($contentIds, $fetch);

        }

        protected function _getDefaultTemplateTitle($contentType, $action)
        {
            return 'ragtek_pc_' . $contentType . '_' . $action;
        }

    }
 
