<?php

    class Ragtek_PC_ControllerAdmin_Page extends
        XFCP_Ragtek_PC_ControllerAdmin_Page

    {

        public function actionSave()
        {
            $response = parent::actionSave();

            if ($response->redirectType == XenForo_ControllerResponse_Redirect::SUCCESS)
            {

            $this->_assertPostOnly();
            $lastNode = XenForo_Application::get('last_inserter_page');


            $allowComments = $this->_input->filterSingle('ragtek_allow_comments', XenForo_Input::UINT);
            $linkInNavbar = $this->_input->filterSingle('ragtek_link_in_navbar', XenForo_Input::UINT);

            $pageData['modified_date'] = XenForo_Application::$time;




            $dw = $this->_getNodeDataWriter();
            $dw->setExistingData($lastNode);
            $dw->set('ragtek_allow_comments', $allowComments);
            $dw->set('ragtek_link_in_navbar', $linkInNavbar);
            $dw->save();


            return $this->responseRedirect(
                XenForo_ControllerResponse_Redirect::SUCCESS,
                XenForo_Link::buildAdminLink('nodes') . $this->getLastHash($lastNode['node_id'])
            );
            }
        }
    }
