<?php

    class Ragtek_PC_Discussion_PageComment extends XenForo_DiscussionMessage_Definition_Abstract
    {
        /**
         * Gets the structure of the message record. This only includes parts that are variable. Keys returned:
         *     * table - name of the table (eg, xf_post)
         *     * key - name of the message's key (eg, post_id)
         *     * container - name of the container/discussion's key (eg, thread_id, profile_user_id)
         *     * contentType - name of the content type the message uses (eg, post, profile_post)
         *
         * @return array
         */
        protected function _getMessageStructure()
        {
            return array(
                'table' => 'ragtek_pagecomments',
                'key' => 'comment_id',
                'container' => 'node_id',
                'contentType' => Ragtek_PC_StaticMethods::CONTENT_TYPE
            );
        }

        /**
         * Gets the parts of the message configuration options that are to override the defaults.
         *
         * @return array
         */
        protected function _getMessageConfiguration()
        {
            return array(
                'hasParentDiscussion' => false
            );
        }

    }