<?php

    class Ragtek_PC_Route_PageComment implements XenForo_Route_Interface
    {
        public function match($routePath, Zend_Controller_Request_Http $request, XenForo_Router $router)
        {
            $action = $router->resolveActionWithIntegerParam($routePath, $request, 'comment_id');
            $action = $router->resolveActionWithStringParam($routePath, $request, 'node_title');

            return $router->getRouteMatch('Ragtek_PC_ControllerPublic_PageEdit', $action, 'forums');
        }

        public function buildLink($originalPrefix, $outputPrefix, $action, $extension, $data, array &$extraParams)
        {

            if ($action == 'pagecomment-permalink' && !empty($extraParams['pagecomment'])) {
                $post = $extraParams['pagecomment'];
                unset($extraParams['pagecomment']);
                $action = '';
                $postHash = '#pagecomment-' . intval($post['comment_id']);

                return XenForo_Link::buildBasicLinkWithStringParam('pages', $action, $extension, $data, 'node_name') . $postHash;
            }

            return XenForo_Link::buildBasicLinkWithIntegerParam($outputPrefix, $action, $extension, $data, 'comment_id');

        }


    }